Bug 253255 - devel/re2: Update to 20210202 and switch to CMake
Summary: devel/re2: Update to 20210202 and switch to CMake
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Chris Rees
URL: https://github.com/google/re2/compare...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-02-04 19:38 UTC by Daniel Engberg
Modified: 2021-03-08 19:04 UTC (History)
1 user (show)

See Also:
sunpoet: maintainer-feedback-


Attachments
Patch for re2 (4.42 KB, patch)
2021-02-04 19:38 UTC, Daniel Engberg
no flags Details | Diff
Patch for re v2 (4.43 KB, patch)
2021-02-04 19:54 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg 2021-02-04 19:38:29 UTC
Created attachment 222166 [details]
Patch for re2

Update re2 to 20210202
Switch to CMake
Revert upstream commit 5bd6137 and slightly improve support

Compile tested on FreeBSD 13.0-ALPHA2 (amd64) (make, make check-plist)
Poudriere testport OK 12.2-RELEASE (amd64)
Poudriere testport OK 11.4-RELEASE (amd64)
Comment 1 Daniel Engberg 2021-02-04 19:54:40 UTC
Created attachment 222167 [details]
Patch for re v2

Refresh patch
Comment 2 Automation User 2021-02-20 00:09:17 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/259017091
Comment 3 Chris Rees freebsd_committer 2021-03-03 14:13:32 UTC
Committed.  Thanks!
Comment 4 commit-hook freebsd_committer 2021-03-03 14:13:33 UTC
A commit references this bug:

Author: crees
Date: Wed Mar  3 14:13:21 UTC 2021
New revision: 567086
URL: https://svnweb.freebsd.org/changeset/ports/567086

Log:
  devel/re2: update to 20210202

  Switch to CMake

  Revert upstream commit 5bd6137 and slightly improve support

  PR:		ports/253255
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	maintainer timeout (sunpoet, 3w6d)
  Tested:		https://gitlab.com/swills/freebsd-ports/-/pipelines/259017091

Changes:
  head/devel/re2/Makefile
  head/devel/re2/distinfo
  head/devel/re2/files/
  head/devel/re2/files/patch-CMakeLists.txt
  head/devel/re2/pkg-plist
Comment 5 Po-Chuan Hsieh freebsd_committer 2021-03-03 19:31:26 UTC
IMHO, This change is totally unnecessary. It just brings superfluous PORTREVISION bump due to shlib change.

Changing to cmake does not bring any benefit but more local patch.

Chris, since you committed r567086, I'd like to remind you to bump PORTREVISION of dependent ports due to shlib version change.
Comment 6 Chris Rees freebsd_committer 2021-03-03 20:38:35 UTC
Hey,

I'll get the revision bumps in, of course-- thanks for the reminder.

I was thinking it's a bit of a problem to have the transient version 10 shlib in when upstream has reverted that change too.

Would you like the cmake change reverted?

Chris
Comment 7 commit-hook freebsd_committer 2021-03-03 20:55:55 UTC
A commit references this bug:

Author: crees
Date: Wed Mar  3 20:55:01 UTC 2021
New revision: 567258
URL: https://svnweb.freebsd.org/changeset/ports/567258

Log:
  Chase devel/re2 shlib bump

  Upstream has changed their minds about so.10 and reverted to so.9

  The only changes were private.

  PR:		ports/253255
  Reported by:	sunpoet

Changes:
  head/devel/bloaty/Makefile
  head/devel/electron11/Makefile
  head/devel/google-cloud-cpp/Makefile
  head/devel/grpc/Makefile
  head/devel/grpc134/Makefile
  head/devel/rubygem-re2/Makefile
  head/dns/dnsdist/Makefile
  head/editors/vscode/Makefile
  head/www/qt5-webengine/Makefile
Comment 8 Daniel Engberg 2021-03-03 21:09:27 UTC
I did have a look and historically upstream doesn't change much at all in terms of additional files so I doubt it's something to worry about. It does however shorten compilation time by quite a bit.